<?php

namespace Util;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Teknisa\Model\Geral;
use Teknisa\Model\Teknisa;

class RepositoryInstance {

    /** @return \Repositories\OAccTekMgr */
    public static function getOAccTekMgr()
    {
        return InstanceManager::getInstance()->getService('oAccTekMgrRepository');
    }

    /** @return \Repositories\Operador */
    public static function getOperador()
    {
        return InstanceManager::getInstance()->getService('operadorRepository');
    }

    /** @return Geral\Repositories\Paramsenha */
    public static function getParamSenha()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Paramsenha');
    }

    /** @return Geral\Repositories\Controlsenha */
    public static function getControlSenha()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Controlsenha');
    }

    /** @return Geral\Repositories\OperadorAcesso */
    public static function getOperadorAcesso()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'OperadorAcesso');
    }

    /** @return Teknisa\Repositories\OmParamOrg */
    public static function getOmParamOrg()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_DIR . 'OmParamOrg');
    }

    /** @return \Teknisa\Model\Teknisa\Repositories\OmProdutoOrg */
    public static function getOmProdutoOrg()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_DIR . 'OmProdutoOrg');
    }

    /** @return \Repositories\Logacesso */
    public static function getLogacesso()
    {
        return InstanceManager::getInstance()->getService('logacessoRepository');
    }
    
    /** @return \Repositories\FileServer */
    public static function getFileServer()
    {
        return InstanceManager::getInstance()->getService('fileServerRepository');
    }

    /** @return \Repositories\Paramgeral */
    public static function getParamgeral()
    {
        return InstanceManager::getInstance()->getService('paramgeralRepository');
    }

    public static function getOmParamOrgLocal()
    {
        return InstanceManager::getInstance()->getService('omParamOrgRepository');
    }

    /** @return \Repositories\Notice */
    public static function getNotice()
    {
        return InstanceManager::getInstance()->getService('NoticeRepository');
    }
}